//<?php



/* To prevent PHP errors (extending class does not exist) revealing path */

if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )

{

	exit;

}



class dp42sulk_hook_ipsNexusInvoiceSulk extends _HOOK_CLASS_

{





	/**

	 * Mark as paid

	 *

	 * @param	\IPS\Member|NULL	$member	The member changing the status. Only set if the status is being manually changed by an admin.

	 * @return	\IPS\Member|NULL	If the invoice belonged to a guest, a member will be created by approving and returned here

	 * @note	It is the responsibility of the code calling this to log the action on the customer's account *before* calling this method

	 */

	public function markPaidOLD( \IPS\Member $member=NULL )

	{

		try
		{
	        /* Run parent */

			$return = parent::markPaid( $member );

	        

	        /* Do the magic */

	        $ids        = $this->renewal_ids;

	        $purchaseId = reset( $ids ); 

	

	        if( $purchaseId )

	        {

	            try

	    		{

	                $item = \IPS\Db::i()->select( '*', 'nexus_purchases', array( "ps_id=?", $purchaseId ), 'ps_id' )->first();

	                

	                if( isset( $item['ps_item_id'] ) )

	                {

	            		try

	            		{

	            			$product = \IPS\nexus\Package\Product::load( $item['ps_item_id'] );

	                        

	                        if( $product->lkey == 'sulk' )

	                        {                            

	                            \IPS\dp42sulk\Settings::getAndSetRandom( $item['ps_item_id'], $purchaseId, $this->id );

	                        }

	            		}

	            		catch ( \OutOfRangeException $e )

	            		{

	            		}

	                }        

	            }

	    		catch ( \OutOfRangeException $e )

	    		{

	    		}

	        } 

	             

	        /* Return */

	        return $return;

		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}

}

