<?php
/**
 * @brief		(DP42) Single Use License Keys Application Class
 * @author		<a href='http://ipslink.pl'>DawPi</a>
 * @copyright	(c) 2017 DawPi
 * @package		Invision Community
 * @subpackage	(DP42) Single Use License Keys
 * @since		03 Oct 2017
 * @version		
 */
 
namespace IPS\dp42sulk;

/**
 * (DP42) Single Use License Keys Application Class
 */
class _Application extends \IPS\Application
{
	/**
	 * [Node] Get Icon for tree
	 *
	 * @note	Return the class for the icon (e.g. 'globe')
	 * @return	string|null
	 */
	protected function get__icon()
	{
		return 'key';
	}
    
	public function cpr()
	{
        return "<div id='sulkCopyright' class='ipsType ipsType_right ipsType_small ipsType_light ipsPad_half'><a href='https://ipslink.pl' class='ipsType_light ipsType_smaller'>(DP45) Single Use License Keys by DawPi</a></div>";
	}
    
    
}