<?php
/**
 * @brief		License Key Model - Sulk
 * @author		IPSlink.pl
 * @copyright	(c) InterMedia - Dawid Pieron
 * @license		https://ipslink.pl
 * @package		Invision Community
 * @subpackage	Nexus
 * @since		01 10 2017
 */

namespace IPS\dp42sulk;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

/**
 * License Key Model - Standard
 */
class _Sulk extends \IPS\nexus\Purchase\LicenseKey
{	
	/**
	 * Generates a License Key
	 *
	 * @return	string
	 */
	public function generate()
	{
        return \IPS\dp42sulk\Settings::getRandom( $this->purchase );
	}
}